RSA Netwitness Platform versions prior to 11.2.1.1 Gain Privileges Vulnerability

Summary

The signature verification routine in install.sh in yarnpkg/website through 2018-06-05 only verifies that the yarn release is signed by any (arbitrary) key in the local keyring of the user, and does not pin the signature to the yarn release key, which allows remote attackers to sign tampered yarn release packages with their own key.

Credit:

The information has been provided by Mantas Juškauskas
The original article can be found at: https://community.rsa.com/docs/DOC-104202


Details

RSA Netwitness Platform is prone to a gain privilege vulnerability. This allow local or remote attackers to gain privileges via a crafted application.

Vulnerable Systems:

  • RSA Netwitness Platform versions prior to 11.2.1.1
  • RSA Security Analytics versions prior to 10.6.6.1

CVE Information:
CVE-2019-3724

Disclosure Timeline:
Publish Date:05/15/2019